from mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.mcp_vault.create_credential(server_id="mcp_srv_aa87e2b1112a455b8deabed784372198", name="Personal Linear token", bearer_token="lin_api_xxx")
# Handle response
print(res){
"id": "mcp_cred_bb98f3c2223b566c9dfbcef895483209",
"object": "mcp.credential",
"server_id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"name": "Personal Linear token",
"auth_type": "bearer",
"authorization_preview": "****...1234",
"header_names": [],
"expires_at": null,
"last_used_at": null,
"created_at": "2026-04-29T12:00:00.000Z",
"updated_at": "2026-04-29T12:00:00.000Z",
"revoked_at": null
}Stores encrypted credentials for a user-owned MCP server. Secret values are never returned.
from mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.mcp_vault.create_credential(server_id="mcp_srv_aa87e2b1112a455b8deabed784372198", name="Personal Linear token", bearer_token="lin_api_xxx")
# Handle response
print(res){
"id": "mcp_cred_bb98f3c2223b566c9dfbcef895483209",
"object": "mcp.credential",
"server_id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"name": "Personal Linear token",
"auth_type": "bearer",
"authorization_preview": "****...1234",
"header_names": [],
"expires_at": null,
"last_used_at": null,
"created_at": "2026-04-29T12:00:00.000Z",
"updated_at": "2026-04-29T12:00:00.000Z",
"revoked_at": null
}Documentation Index
Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
Use this file to discover all available pages before exploring further.
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Optional external end-user identifier forwarded by the API gateway.
1 - 255bearer, authorization, headers, none 1 - 81921 - 8192Show child attributes
OK
bearer, authorization, headers, none Was this page helpful?